> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Export Reviews Group Insights CSV

> Thresholded aggregate CSV for one caller-curated reviews cohort.



## OpenAPI

````yaml /openapi.json post /api/v1/brands/{brand_id}/brand-intelligence/review-group-insights/export.csv
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/brands/{brand_id}/brand-intelligence/review-group-insights/export.csv:
    post:
      tags:
        - Brand Reviews
        - Brand Reviews
      summary: Export Reviews Group Insights CSV
      description: Thresholded aggregate CSV for one caller-curated reviews cohort.
      operationId: >-
        export_review_group_insights_csv_route_api_v1_brands__brand_id__brand_intelligence_review_group_insights_export_csv_post
      parameters:
        - name: brand_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Brand Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BrandReviewGroupInsightsRequest'
      responses:
        '200':
          description: CSV file
          content:
            text/csv: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    BrandReviewGroupInsightsRequest:
      properties:
        advertiser_ids:
          items:
            type: string
            format: uuid
          type: array
          maxItems: 60
          minItems: 1
          title: Advertiser Ids
        group_label:
          anyOf:
            - type: string
              maxLength: 120
            - type: 'null'
          title: Group Label
        reference_advertiser_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Reference Advertiser Id
        aspect_platform:
          anyOf:
            - type: string
              enum:
                - trustpilot
                - google
            - type: 'null'
          title: Aspect Platform
        all_aspect_platforms:
          type: boolean
          title: All Aspect Platforms
          default: false
      type: object
      required:
        - advertiser_ids
      title: BrandReviewGroupInsightsRequest
      description: The cohort to analyse.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````